Subject: bug#29063: C-g not quitting minibuffer

From: Eric Abrahamsen <[email-masked]>
Date: Mon, 30 Oct 2017 16:47:56 -0700

Eli Zaretskii <[email-masked]> writes:

>> From: Apocalypse Mystic <[email-masked]>
>> Date: Sun, 29 Oct 2017 21:55:03 -0400
>> 
>> 1) emacs -Q
>> 2) M-x
>> 3) C-g
>> 
>> "Quit" will flash in the minibuffer, but the cursor will remain trapped
>> in the minibuffer. C-] will still correctly leave the
>> minibuffer. Holding down C-g for several seconds will eventually cause
>> the cursor to correctly leave the minibuffer.
>
> Not reproducible here.

FWIW (not much), I get this from time to time. Most recently just this
afternoon, when I was happy to learn the C-] trick. I have yet to come
up with a reproducible recipe.